package com.jenkins;

import java.util.Date;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

import javax.servlet.ServletContext;
import org.springframework.beans.factory.annotation.Autowired;

@Controller
public class WelcomeController {

	@Autowired
    private ServletContext servletContext;

	@RequestMapping("/")
	public final ModelAndView index() {
		ModelAndView modelAndView = new ModelAndView("index");
		modelAndView.addObject("title", "Jenkins-Test - ONLINE !");
		modelAndView.addObject("serverdate", new Date().toString());
		
		String path = servletContext.getContextPath();
		modelAndView.addObject("myList", path + "/mylist");
		modelAndView.addObject("unicorn", path + "/assets/images/london.jpg");
		return modelAndView;
	}



}
