package com.jenkins;

import java.util.ArrayList;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.context.WebApplicationContext;
import org.springframework.web.servlet.ModelAndView;
import com.jenkins.model.UnicornData;

import javax.servlet.ServletContext;
import org.springframework.beans.factory.annotation.Autowired;

@Controller
@Scope(WebApplicationContext.SCOPE_REQUEST)
public class ListController {
	
    @Autowired
    private ServletContext servletContext;

	@RequestMapping(value = "/mylist")
	public final ModelAndView getBoardListe() {
		// Test 2
		ModelAndView modelAndView = new ModelAndView("unicornlist");

		ArrayList<UnicornData> unicornList = new ArrayList<UnicornData>();

//		String path = servletContext.getContextPath();
		
		UnicornData unicorn = null;
		unicorn = new UnicornData("Unicorns in flags of Brazil",
								  "https://commons.wikimedia.org/wiki/Category:Unicorns_in_flags_of_Brazil");
		unicornList.add(unicorn);
		unicorn = new UnicornData("Unicorns in flags of Canada‎", 
								  "https://commons.wikimedia.org/wiki/Category:Unicorns_in_flags_of_Canada");
		unicornList.add(unicorn);
		unicorn = new UnicornData("Unicorns in flags of the Czech Republic‎ ", 
								  "https://commons.wikimedia.org/wiki/Category:Unicorns_in_flags_of_the_Czech_Republic");
		unicornList.add(unicorn);
		unicorn = new UnicornData("Unicorns in flags of Germany‎", 
				                  "https://commons.wikimedia.org/wiki/Category:Unicorns_in_flags_of_Germany");
		unicornList.add(unicorn);
		unicorn = new UnicornData("Unicorns in flags of the Netherlands", 
				                  "https://commons.wikimedia.org/wiki/Category:Unicorns_in_flags_of_the_Netherlands");
		unicornList.add(unicorn);
		unicorn = new UnicornData("Unicorns in flags of Russia‎", 
				                  "https://commons.wikimedia.org/wiki/Category:Unicorns_in_flags_of_Russia");
		unicornList.add(unicorn);
		unicorn = new UnicornData("Unicorns in flags of the United Kingdom‎", 
				                  "https://commons.wikimedia.org/wiki/Category:Unicorns_in_flags_of_the_United_Kingdom");
		unicornList.add(unicorn);

		modelAndView.addObject("anzahl", unicornList.size());
		modelAndView.addObject("unicornlist", unicornList);

		return modelAndView;
	}
}
